<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxSpline1D (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxSpline1D (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxSpline1D.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.util</a></div>
<h2 title="Class mxSpline1D" class="title">Class mxSpline1D</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.util.mxSpline1D</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">mxSpline1D</span>
extends java.lang.Object</pre>
<div class="block">One dimension of a spline curve</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected double[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#a">a</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected double[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#b">b</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected double[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#c">c</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected double[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#d">d</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected double[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#len">len</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected double[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#pos1D">pos1D</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(double%5B%5D,double%5B%5D)">mxSpline1D</a></span>&#8203;(double[]&nbsp;controlPointProportions,
          double[]&nbsp;positions1D)</code></th>
<td class="colLast">
<div class="block">Creates a new Spline.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDx(double)">getDx</a></span>&#8203;(double&nbsp;x)</code></th>
<td class="colLast">
<div class="block">Returns the first derivation at x.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getFastValue(double)">getFastValue</a></span>&#8203;(double&nbsp;x)</code></th>
<td class="colLast">
<div class="block">Returns an interpolated value.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getValue(double)">getValue</a></span>&#8203;(double&nbsp;x)</code></th>
<td class="colLast">
<div class="block">Returns an interpolated value.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setValues(double%5B%5D,double%5B%5D)">setValues</a></span>&#8203;(double[]&nbsp;controlPointProportions,
         double[]&nbsp;positions1D)</code></th>
<td class="colLast">
<div class="block">Set values for this Spline.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#solve(double%5B%5D%5B%5D,double%5B%5D)">solve</a></span>&#8203;(double[][]&nbsp;A,
     double[]&nbsp;b)</code></th>
<td class="colLast">
<div class="block">Solves Ax=b and stores the solution in b.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="len">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>len</h4>
<pre>protected&nbsp;double[] len</pre>
</li>
</ul>
<a id="pos1D">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pos1D</h4>
<pre>protected&nbsp;double[] pos1D</pre>
</li>
</ul>
<a id="a">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>a</h4>
<pre>protected&nbsp;double[] a</pre>
</li>
</ul>
<a id="b">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>b</h4>
<pre>protected&nbsp;double[] b</pre>
</li>
</ul>
<a id="c">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>c</h4>
<pre>protected&nbsp;double[] c</pre>
</li>
</ul>
<a id="d">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>d</h4>
<pre>protected&nbsp;double[] d</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(double[],double[])">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxSpline1D</h4>
<pre>public&nbsp;mxSpline1D&#8203;(double[]&nbsp;controlPointProportions,
                  double[]&nbsp;positions1D)</pre>
<div class="block">Creates a new Spline.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>controlPointProportions</code> - the proportion along the curve, from 0->1
                        that each control point lies on</dd>
<dd><code>positions1D</code> - the co-ordinate position in the current dimension that
                        each control point lies on</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="setValues(double[],double[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValues</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setValues&#8203;(double[]&nbsp;controlPointProportions,
                      double[]&nbsp;positions1D)</pre>
<div class="block">Set values for this Spline.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>controlPointProportions</code> - the proportion along the curve, from 0->1
                        that each control point lies on</dd>
<dd><code>positions1D</code> - the co-ordinate position in the current dimension that
                        each control point lies on</dd>
</dl>
</li>
</ul>
<a id="getValue(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValue</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getValue&#8203;(double&nbsp;x)</pre>
<div class="block">Returns an interpolated value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the interpolated value</dd>
</dl>
</li>
</ul>
<a id="getFastValue(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFastValue</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getFastValue&#8203;(double&nbsp;x)</pre>
<div class="block">Returns an interpolated value. To be used when a long sequence of values
 are required in order, but ensure checkValues() is called beforehand to
 ensure the boundary checks from getValue() are made</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the interpolated value</dd>
</dl>
</li>
</ul>
<a id="getDx(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDx</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getDx&#8203;(double&nbsp;x)</pre>
<div class="block">Returns the first derivation at x.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the first derivation at x</dd>
</dl>
</li>
</ul>
<a id="solve(double[][],double[])">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>solve</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;solve&#8203;(double[][]&nbsp;A,
                  double[]&nbsp;b)</pre>
<div class="block">Solves Ax=b and stores the solution in b.</div>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxSpline1D.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
